Main Page Class Hierarchy Compound List File List Compound Members File Members

# GLOBAL_PICK_MSG Struct Reference

`#include <global_pick_rw.h>`

List of all members.

## Public Attributes
short | version
MSG_LOGO | logo
long | sequence
char | station [TRACE_STA_LEN]
char | channel [TRACE_CHAN_LEN]
char | network [TRACE_NET_LEN]
char | location [TRACE_LOC_LEN]
char | pick_time [19]
char | phase_name [9]
double | quality
char | polarity

## Member Data Documentation

char GLOBAL_PICK_MSG::channel[TRACE_CHAN_LEN]

| Definition at line 37 of file global_pick_rw.h. Referenced by InitGlobalPick(), StringToPick(), and WritePickToBuffer().

char GLOBAL_PICK_MSG::location[TRACE_LOC_LEN]

| Definition at line 39 of file global_pick_rw.h. Referenced by InitGlobalPick(), StringToPick(), and WritePickToBuffer().

MSG_LOGO GLOBAL_PICK_MSG::logo

| Definition at line 34 of file global_pick_rw.h. Referenced by InitGlobalPick(), StringToPick(), and WritePickToBuffer().

char GLOBAL_PICK_MSG::network[TRACE_NET_LEN]

| Definition at line 38 of file global_pick_rw.h. Referenced by InitGlobalPick(), StringToPick(), and WritePickToBuffer().

char GLOBAL_PICK_MSG::phase_name[9]

| Definition at line 41 of file global_pick_rw.h. Referenced by InitGlobalPick(), StringToPick(), and WritePickToBuffer().

char GLOBAL_PICK_MSG::pick_time[19]

| Definition at line 40 of file global_pick_rw.h. Referenced by InitGlobalPick(), StringToPick(), and WritePickToBuffer().

char GLOBAL_PICK_MSG::polarity

| Definition at line 43 of file global_pick_rw.h. Referenced by InitGlobalPick(), StringToPick(), and WritePickToBuffer().

double GLOBAL_PICK_MSG::quality

| Definition at line 42 of file global_pick_rw.h. Referenced by InitGlobalPick(), StringToPick(), and WritePickToBuffer().

long GLOBAL_PICK_MSG::sequence

| Definition at line 35 of file global_pick_rw.h. Referenced by InitGlobalPick(), StringToPick(), and WritePickToBuffer().

char GLOBAL_PICK_MSG::station[TRACE_STA_LEN]

| Definition at line 36 of file global_pick_rw.h. Referenced by InitGlobalPick(), StringToPick(), and WritePickToBuffer().

short GLOBAL_PICK_MSG::version

| Definition at line 33 of file global_pick_rw.h. Referenced by InitGlobalPick(), StringToPick(), and WritePickToBuffer().

The documentation for this struct was generated from the following file:

- global_pick_rw.h